%define ocamlname fmt

Name:           ocaml-%{ocamlname}
Version:        0.8.5
Release:        1%{?dist}.emp1
Summary:        OCaml Format pretty-printer combinators
License:        ISC
URL:            http://erratique.ch/software/%{ocamlname}
Source0:        %{ocamlname}-%{version}.tbz

Requires:  	ocaml >= 4.01.0
Requires:	ocaml-uchar
Requires:  	ocaml-result
Requires:	ocaml-cmdliner

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.01.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-uchar-devel
BuildRequires:  ocaml-cmdliner-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-topkg-devel >= 0.9.0

Conflicts:	ocaml-cmdliner < 0.9.8

%description
Fmt exposes combinators to devise `Format` pretty-printing functions.

Fmt depends only on the OCaml standard library. The optional `Fmt_tty`
library that allows to setup formatters for terminal color output
depends on the Unix library. The optional `Fmt_cli` library that
provides command line support for Fmt depends on [`Cmdliner`][cmdliner].

Fmt is distributed under the ISC license.

[cmdliner]: http://erratique.ch/software/cmdliner

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	ocaml-uchar-devel
Requires:  	ocaml-result-devel
Requires:	ocaml-cmdliner-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/pkg.ml build --with-base-unix true --with-cmdliner true

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
